Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.modelmbean
Class XMLParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.management.modelmbean.XMLParseException

All Implemented Interfaces:
  Serializable

    public class XMLParseException

extends Exception

This exception is thrown when an XML formatted string is being parsed into ModelMBean objects or when XML formatted strings are being created from ModelMBean objects. It is also used to wrapper exceptions from XML parsers that may be used.

Since:
  1.5
See Also:
  Serialized Form

Constructor Summary
`XMLParseException()` Default constructor .
`XMLParseException(Exception e, String s)` Constructor taking a string and an exception.
`XMLParseException(String s)` Constructor taking a string.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLParseException

    public XMLParseException()

  Default constructor .

### XMLParseException

    public XMLParseException(String s)

  Constructor taking a string.

  Parameters:
    `s` - the detail message.

### XMLParseException

    public XMLParseException(Exception e,
                             String s)

  Constructor taking a string and an exception.

  Parameters:
    `e` - the nested exception.
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.